@media (max-width: 767.98px) {
    .shop-sidebar{
        display: none;
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        max-height: 50vh;
        z-index: 9;
        overflow: auto;
        padding: 24px 24px 48px;
    }
    .shop-sidebar.is-opened{
        display: block;
    }
    .btn-filters-mobile, .shop-results-count{
        display: inline-block;
    }
    .shop-sidebar.is-opened + .btn-close-filters{
        display: block;
        position: fixed;
        bottom: 14px;
        z-index: 9;
        background: #F9783C;
        color: #fff;
        transform: translateX(-50%);
        left: 50%;
        width: 50%;
    }
    .shop-sidebar.is-opened + .btn-close-filters:hover{
        background: #101010;
        color: #fff;
    }
    header .has-submenu div.submenu-search button{
        margin-left: 0;
    }
    .cf7-row {
        grid-template-columns: 1fr;
        gap: 0;
    }

    .cf7-label {
        margin-bottom: 4px;
    }

    .cf7-file-wrap {
        flex-direction: column;
        align-items: flex-start;
    }

    .cf7-row p{
        text-align: left;
        margin: 0;
    }
    .topbar .btn{
        display: none;
    }
}
@media (max-width: 991.98px) {
    .topbar{
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 999999;
    }
    header{
        position: fixed;
        width: 100%;
        top: 20px;
        min-height: 90px;
        max-height: calc(100vh - 20px);
    }
    header .menu-toggle a.menu-item-cart[data-count]:before{
        display: none;
    }
    header .has-submenu{
        width: 100%;
        padding: 12px 0 !important;
    }
    .hamburger-menu{
        color: #101010;
    }
    header .has-submenu div{
        display: none !important;
    }
    header .has-submenu.is-opened div{
        display: block !important;
        position: relative;
        box-shadow: none;
    }
    header.menu-opened .menu-links .has-submenu a{
        padding: 4px 0 !important;
    }
    .main-header{
        overflow: auto;
    }
    header .menu-toggle a{
        padding: 0 !important;
    }
	header .container{
		margin-top: 40px;
	}
    header.menu-opened .menu-links{
        flex-basis: 100%; /* prende tutta la larghezza */
        display: flex !important;
        justify-content: center; /* opzionale, per centrarlo */
        margin-top: 26px; /* opzionale, per distanziarlo */
        flex-wrap: wrap;
        width: 100%;
    }
    header.menu-opened .menu-links a{
        display: block;
        width: 100%;
        margin: 0 !important;
        padding: 12px 0 !important;
    }
    header.menu-opened .menu-toggle a:before{
        display: none;
    }
    header.menu-opened .menu-toggle a i{
        display: inline-block;
        font-style: normal;
    }
    header .has-submenu div.submenu-search {
        width: 100%;
        max-width: 100%;
        padding: 0;
        margin-top: 14px;
    }
    .container-wrap{
        margin-top: 80px;
    }
    .hero {
        margin-top: 50px;
    }
    .text-image-override img{
        display: none;
    }
    .text-image-override span{
        visibility: visible;
    }
    .hero .hero-text{
        font-size: 70px;
    }
    .owl-carousel-categorie .img-zoom{
        margin-bottom: 12px;
    }
    .owl-carousel-categorie a{
        font-size: 20px;
    }
    .owl-carousel .owl-dots {
        margin-top: 32px;
        margin-bottom: 32px;
    }
    .block-featured {
        background-color: #F8F7F7;
        padding-top: 20px;
        padding-bottom: 0px;
    }
    .block-brands {
        margin-top: 60px;
    }
    .banner-top{
        border-radius: 0;
        margin-top: 0;
        padding-top: 132px;
        padding-bottom: 32px;
    }
    .banner-top .banner-title{
        font-size: 36px;
        margin-bottom: 20px;
        display: block;
        text-align: center;
    }
    .banner-top .banner-button{
        font-size: 16px;
    }

    h1, h2{
        font-size: 28px;
    }
    .block-featured h2{
        margin-bottom: 20px;
    }
    .container-newsletter p{
        font-size: 16px;
    }
    .container-newsletter input[type="email"]{
        font-size: 14px;
    }
    .container-newsletter button{
        font-size: 15px;
    }

    footer, footer a{
        font-size: 14px;
    }
    .footer-bottom .footer-legal ul{
        gap: 0;
    }
    .footer-bottom .footer-legal ul li a{
        display: block;
    }
    .footer-bottom .copyright{
        font-size: 11px;
    }
    .footer-bottom{
        padding-top: 18px;
    }
    .container-newsletter + .container-footer{
        padding-top: 290px;
    }
    footer .container-footer{
        padding-top: 30px;
    }
    h3{
        font-size: 18px;
    }
    p{
        font-size: 14px;
    }
    body{
        font-size: 14px;
    }
    a{
        font-size: 14px;
    }
    .woocommerce ul.products li{
        margin-top: 0;
    }
    .single-product .product-brand{
        font-size: 20px;
    }
    .single-product h1{
        font-size: 32px;
    }
    .single-product .price{
        font-size: 28px;
    }
    .single-product .price:before{
        font-size: 16px;
        margin-bottom: 0;
    }
    .single-product .variations select{
        padding: 14px;
    }
    .woocommerce .woocommerce-ordering select, .single-product .variations select, .single-product .qty{
        font-size: 14px;
    }
    .single-product .qty{
        min-width: 0;
        padding: 14px;
    }
    .single-product .quantity{
        width: 30%;
    }
    .single-product .quantity .qty-btn{
        padding: 12px 0;
    }
    .single-product .quantity .qty-btn.qty-minus{
        padding-left: 10px;
        padding-right: 5px;
    }
    .single-product .quantity .qty-btn.qty-plus{
        padding-right: 10px;
        padding-left: 5px;
    }
    .single-product .single_add_to_cart_button{
        font-size: 16px !important;
        padding: 11px 22px !important;
    }
    .single-product .woocommerce-tabs ul.tabs li a{
        padding: 14px 10px;
        font-size: 14px;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;
    }
    #filter-form select{
        margin-top: 16px;
    }
    body.wp-singular.page-template-default.page:not(.home){
        padding-top: 90px;
    }
}
@media (max-width: 590px) {
    .hero .hero-text{
        font-size: 36px;
        top: 65%;
    }
	.footer-bottom .footer-legal ul{
		flex-direction: column;
	}
	.footer-bottom .footer-legal ul li:before{
		display: none;
	}
	.footer-bottom .footer-legal{
		text-align: left;
		width: 100%;
		margin-bottom: 32px;
	}
}
@media (max-width: 992px) {
    .footer-company,
    .footer-nav {
        width: 100%;
    }
    .container-newsletter .newsletter-image {
        margin-top: 24px;
        margin-bottom: 24px;
    }
}
@media (max-width: 1200px) {
    header .logo-image{
        height: 15px;
    }
    .mobile-wrap{
        flex-wrap: wrap;
    }
    .footer-bottom {
        flex-direction: column;
        gap: 5px;
        text-align: center;
    }

    .footer-bottom .footer-legal {
        margin-left: 0; /* reset */
        order: 1;
    }
    .footer-bottom .copyright {
        order: 2;
    }
    .footer-bottom {
        padding-top: 40px;
    }
    .container-newsletter .newsletter-image{
        width: 100%;
        max-width: 430px;
    }
    .container-newsletter .newsletter-content{
        padding: 12px;
    }

    .pattern-hp-1, .pattern-hp-2, .pattern-hp-3{
        display: none;
    }
    .hero .container-pattern{
        position: absolute;
        width: 100%;
        text-align: center;
    }
    .hero{
        margin-bottom: 60px;
    }
}
@media (max-width: 1400px) {
    header .menu-toggle a{
        padding: 0 18px;
    }
    header .menu-toggle a.menu-item-user{
        margin-left: 46px;
    }
    header .menu-toggle a.menu-item-user:before{
        left: -23px;
    }
    header .menu-toggle a.menu-item-user{
        padding: 0 18px;
    }
    header .menu-toggle a.menu-item-cart{
        padding: 0 0 0 18px;
    }
}
